Deposit
curl --request POST \
--url https://save.dial.to/api/v0/lending/{marketAddress}/reserves/{reserve}/deposit \
--header 'Content-Type: application/json' \
--data '
{
"type": "transaction",
"account": "6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176"
}
'import requests
url = "https://save.dial.to/api/v0/lending/{marketAddress}/reserves/{reserve}/deposit"
payload = {
"type": "transaction",
"account": "6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({type: 'transaction', account: '6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176'})
};
fetch('https://save.dial.to/api/v0/lending/{marketAddress}/reserves/{reserve}/deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "<unknown>",
"transaction": "<string>"
}Lending
Deposit
Deposit a specific amount of a token to a reserve
POST
/
v0
/
lending
/
{marketAddress}
/
reserves
/
{reserve}
/
deposit
Deposit
Path Parameters
Market address
Reserve address
Query Parameters
The amount to deposit. Human readable value, e.g. 100 USDC
The percentage of balance to deposit
Required range:
-9007199254740991 < x <= 100Body
application/json
Was this page helpful?
⌘I